{"components":{"schemas":{"ActivitySeHistoryRecord":{"description":"found history activity","properties":{"activityDescription":{"type":"string"},"activityRegistrationDate":{"type":"string"},"companyId":{"type":"string"},"latestChangeDate":{"type":"string"},"mainActivity":{"$ref":"#/components/schemas/MainActivity"},"otherActivities":{"items":{"$ref":"#/components/schemas/OtherActivity"},"type":"array"},"secondaryNames":{"items":{"$ref":"#/components/schemas/SecondaryName"},"type":"array"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanyActivityResult":{"properties":{"activityDescription":{"type":"string"},"activityRegistrationDate":{"type":"string"},"companyId":{"type":"string"},"latestChangeDate":{"type":"string"},"mainActivity":{"$ref":"#/components/schemas/MainActivity"},"otherActivities":{"items":{"$ref":"#/components/schemas/OtherActivity"},"type":"array"},"secondaryNames":{"items":{"$ref":"#/components/schemas/SecondaryName"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"HistoryActivityResults":{"description":"Company's activity history results","properties":{"records":{"description":"found history activity","items":{"$ref":"#/components/schemas/ActivitySeHistoryRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"MainActivity":{"properties":{"industryCode":{"type":"string"},"industryText":{"type":"string"}},"type":"object"},"OtherActivity":{"properties":{"industryCode":{"type":"string"},"industryText":{"type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"SecondaryName":{"properties":{"activityDescription":{"type":"string"},"deRegistrationDate":{"type":"string"},"name":{"type":"string"},"registrationDate":{"type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Provides information about what the company is doing and whether the company has any secondary names and shows all the industries in which the company has registered activities.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"ActivitySE","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-desc-sni-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyActivityResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find activity information by company id","tags":["CompanyActivity"]}},"/history/{companyId}":{"get":{"description":"Changes of the company within specified date range. The range includes \"from\" and excludes \"to\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryActivityResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history activity by company id","tags":["CompanyActivity"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/activity/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"CompanyActivity","x-locale-da":{"description":"Describes the company's Activity","name":"Company Activity"},"x-locale-en":{"description":"Describes the company's Activity","name":"Company Activity"},"x-locale-no":{"description":"Beskriver selskapets Virksomhet","name":"Virksomhet"},"x-locale-sv":{"description":"Beskriver företagets Verksamhet","name":"Verksamhetsbeskrivning"},"x-logo":{"url":"https://roaring-assets.s3-eu-west-1.amazonaws.com/svg/company-desc-sni.svg"}}